export declare class FCSClient {
    /**
     * Variable with array of active features
     */
    private activeFeatures;
    /**
     * Turn slashes into double dashes
     * @param name
     */
    turnSlashesIntoDoubleDashes(name: string): string;
    /**
     * Set list of active features
     * @param features
     */
    setActiveFeatures(features: string[]): void;
    /**
     * Get list of active features
     */
    getActiveFeatures(): string[];
    /**
     * Returns list of CSS classes for frontend for <body> element
     * @param features
     */
    getBodyCssClasses(features?: string[]): string;
    /**
     * Checks if feature is active
     * @param name
     */
    feature(name: string): boolean;
    /**
     * Checks if any of multiple features is active
     * @param name
     */
    multiFeature(name: string | string[]): boolean;
}
declare const _default: FCSClient;
export default _default;
