import FCSClient from './FCSClient';
import { FCS } from './FCS';
import { IRequestWithFcs } from './middlewares';
import { FLAGS } from './enums';
import { ICookies, TFlagValue, TTagValue, IFlag, IFlags, TTagCreator, TFlagsCreator } from './interfaces';
declare const middlewares: {
    flags: (value: IFlags | TFlagsCreator, maxAge?: number) => (req: any, res: any, next: any) => Promise<void>;
    tag: (name: string, value: string | number | boolean | TTagCreator) => (req: any, res: any, next: any) => Promise<void>;
    access: (name: string) => (req: any, res: any, next: any) => void;
    feature: (name: string, cb: Function) => (req: any, res: any, next: any) => Promise<void>;
};
export { FCS, FCSClient, middlewares, FLAGS, ICookies, TFlagValue, TTagValue, IFlag, IFlags, IRequestWithFcs, TTagCreator, TFlagsCreator, };
